EDIT - feature request #8441

Add FeatureState class
08/02/2019 08:25 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8

Severity: normal

Description

... for inapplicablelf and onlyApplicablelf states and add/change the relationships to TermNode

Related issues:

Related to EDIT - feature request #8469: Open PolytomousKeyGenerator issues
Related to EDIT - feature request #8475: Adapt applicable state detail view e...
Copied to EDIT - task #8468: Remove old Inapplicablelf tables

In Progress
Closed
Closed

Associated revisions

Revision 4e36de56 - 08/16/2019 10:10 AM - Andreas Miuiller
ref #8441 FeatureState classes added and TermNode adapted

Revision abe8cce6 - 08/16/2019 10:10 AM - Andreas Muller

ref #8441 further implementation for FeatureState and inapplicablelf

Revision ec5f2748 - 08/16/2019 10:10 AM - Andreas Miiller
ref #8441 adapt testdata and SDDDocumentBuilder to FeatureState

Revision 73ef4c0b - 08/16/2019 06:27 PM - Andreas Miiller
ref #8441 fix mapping for FeatureState

Revision 7e477034 - 08/16/2019 07:00 PM - Andreas Miiller

ref #8441 add tests for FeatureState loading and move some test data to terms package

Revision 27bf6632 - 08/29/2019 03:05 PM - Andreas Miiller

ref #8441 remove cascading from FeatureState.feature and .state

History

#1 - 08/15/2019 02:59 PM - Andreas Miuller

- Status changed from New to In Progress

#2 - 08/15/2019 03:00 PM - Andreas Miiller
- % Done changed from 0 to 50

#3 - 08/16/2019 11:36 AM - Andreas Miiller
- Copied to task #8468: Remove old Inapplicablelf tables added

#4 - 08/16/2019 11:43 AM - Andreas Miiller

- Related to feature request #8469: Open PolytomousKeyGenerator issues added

#5 - 08/16/2019 11:45 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Muiller to Patrick Plitzner
This is implemented, old implementation still exists in parallel. Should be removed with next update script.

SDD Im- and Export and PolytomousKeyGeneration(?) still needs updates. Handled there.

#6 - 08/16/2019 11:47 AM - Andreas Miiller
Please review.
Maybe there are issues with orphan removal handling.

#7 - 08/16/2019 03:08 PM - Patrick Plitzner

- Related to feature request #8475: Adapt applicable state detail view elements to FeatureState added

#8 - 11/08/2019 03:05 PM - Andreas Miiller

Can you still remove? Did you try to remove things? So no orphan-removal issues?

#9 - 12/23/2019 12:09 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 100

| think we can close this ticket.

04/17/2024

22


http://www.tcpdf.org

